TRANSPORT API
- GET activetransport
- GET annotations
- POST brightness
- POST engaged
- POST gotoframe
- POST gotonextsection
- POST gotonexttrack
- POST gotonote
- POST gotoprevsection
- POST gotoprevtrack
- POST gotosection
- POST gototag
- POST gototime
- POST gototimecode
- POST gototrack
- POST play
- POST playloopsection
- POST playsection
- POST returntostart
- GET setlists
- POST stop
- GET tracks
- GET transports
- POST volume
GET activetransport
Summary
Get the active transport in the project. This is the transport selected in the d3State bar. If a multitransport is selected, will return all sub-transports in that multitransport
URL
GET /api/session/transport/activetransport
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
},
"result": [
{
"uid": "",
"name": "",
"engaged": false,
"volume": 0,
"brightness": 0,
"playmode": "",
"currentTrack": {
"uid": "",
"name": ""
},
"receivingTimecode": false,
"setList": {
"uid": "",
"name": "",
"tracks": [
{
"uid": "",
"name": "",
"length": 0,
"crossfade": ""
}
]
}
}
]
}
GET annotations
Summary
List all annotations in the given Track
URL
GET /api/session/transport/annotations
Query Params
uid uint64
name string
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
},
"result": {
"uid": "",
"name": "",
"annotations": {
"notes": [
{
"time": 0,
"text": ""
}
],
"tags": [
{
"time": 0,
"type": "",
"value": ""
}
],
"sections": [
{
"time": 0,
"index": ""
}
]
}
}
}
POST brightness
Summary
Set the brightness of the specified transport manager’s current transport
URL
POST /api/session/transport/brightness
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"brightness": 0
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST engaged
Summary
Set the engaged status of the current transport
URL
POST /api/session/transport/engaged
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"engaged": false
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gotoframe
Summary
Jump to the specific frame
URL
POST /api/session/transport/gotoframe
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"frame": 0,
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gotonextsection
Summary
Jump to the next section of the current track
URL
POST /api/session/transport/gotonextsection
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gotonexttrack
Summary
Jump to the start of the next track
URL
POST /api/session/transport/gotonexttrack
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gotonote
Summary
Jump to a given note on a given transport
URL
POST /api/session/transport/gotonote
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"note": "",
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gotoprevsection
Summary
Jump to the previous section of the current track
URL
POST /api/session/transport/gotoprevsection
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gotoprevtrack
Summary
Jump to the start of the previous track
URL
POST /api/session/transport/gotoprevtrack
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gotosection
Summary
Jump to a given section on a given transport
URL
POST /api/session/transport/gotosection
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"section": "",
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gototag
Summary
Jump to a given tag on a given transport
URL
POST /api/session/transport/gototag
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"type": "",
"value": "",
"allowGlobalJump": false,
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gototime
Summary
Jump to the specific time
URL
POST /api/session/transport/gototime
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"time": 0,
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gototimecode
Summary
Jump to a given time on a given transport
URL
POST /api/session/transport/gototimecode
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"timecode": "",
"ignoreTags": false,
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST gototrack
Summary
Jump to the start of the given track
URL
POST /api/session/transport/gototrack
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"track": {
"uid": "",
"name": ""
},
"playmode": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST play
Summary
Play a transport (sets playmode to ‘play’)
URL
POST /api/session/transport/play
Request
{
"transports": [
{
"uid": "",
"name": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST playloopsection
Summary
Loop a section on a transport (sets playmode to ‘loop section’)
URL
POST /api/session/transport/playloopsection
Request
{
"transports": [
{
"uid": "",
"name": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST playsection
Summary
Play a section on a transport (sets playmode to ‘play to end of section’)
URL
POST /api/session/transport/playsection
Request
{
"transports": [
{
"uid": "",
"name": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
POST returntostart
Summary
Return to start of a transport
URL
POST /api/session/transport/returntostart
Request
{
"transports": [
{
"uid": "",
"name": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
GET setlists
Summary
List all SetLists in the project
URL
GET /api/session/transport/setlists
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
},
"result": [
{
"uid": "",
"name": "",
"tracks": [
{
"uid": "",
"name": "",
"length": 0,
"crossfade": ""
}
]
}
]
}
POST stop
Summary
Stop a transport
URL
POST /api/session/transport/stop
Request
{
"transports": [
{
"uid": "",
"name": ""
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}
GET tracks
Summary
List all tracks in the project
URL
GET /api/session/transport/tracks
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
},
"result": [
{
"uid": "",
"name": "",
"length": 0,
"crossfade": ""
}
]
}
GET transports
Summary
List all transports (including multitranports) in the project
URL
GET /api/session/transport/transports
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
},
"transports": [
{
"uid": "",
"name": "",
"engaged": false,
"volume": 0,
"brightness": 0,
"playmode": "",
"currentTrack": {
"uid": "",
"name": ""
},
"receivingTimecode": false,
"setList": {
"uid": "",
"name": "",
"tracks": [
{
"uid": "",
"name": "",
"length": 0,
"crossfade": ""
}
]
}
}
],
"multitransports": [
{
"uid": "",
"name": "",
"engaged": false,
"transports": [
""
]
}
]
}
POST volume
Summary
Set the volume of the current transport
URL
POST /api/session/transport/volume
Request
{
"transports": [
{
"transport": {
"uid": "",
"name": ""
},
"volume": 0
}
]
}
Response
{
"status": {
"code": 0,
"message": "",
"details": [
{
"type_url": "",
"value": ""
}
]
}
}